<template>
  <div class="w-auto p-10">
    <div class="flex">
      <div class="w-full sm:w-3/5 pl-5 py-10">
        <div class="bg-gray-300 p-5 sm:rounded-l-md">
          <h3 class="text-center pb-2 font-bold">
            {{ project.name }}
          </h3>
          <p class="text-justify pb-2 h-48">
            <nuxt-content :document="project"/>
          </p>

          <div class="flex">
            <a v-if="project.demoUrl != null" :href="project.demoUrl"
               class="transform mouse-pointer bg-gray-900 text-sm text-white mx-1 py-1 px-2 font-semibold rounded hover:bg-gray-700 hover:scale-90 focus:bg-gray-700 focus:outline-none"
            >
              <font-awesome-icon :icon="['fas', 'eye']"/>
              Démo
            </a>
            <a v-if="project.repositoryUrl != null" :href="project.repositoryUrl"
               class="transform mouse-pointer bg-gray-900 text-sm text-white mx-1 py-1 px-2 font-semibold rounded hover:bg-gray-700 hover:scale-90 focus:outline-none"
            >
              <font-awesome-icon :icon="['fab', 'git']"/>
              Code
            </a>
          </div>
        </div>
      </div>
      <div class="bg-gray-200 w-0 sm:w-2/5 sm:rounded-2xl h-96 sm:p-2 lg:p-5 cursor-pointer" @click="openDemo(project)">

        <img
          class="object-cover h-full w-full rounded-lg"
          :src="project.pictureUrl"
          alt="Image de présentation alternative du projet"
        >

      </div>
    </div>
  </div>
</template>

<script lang="ts">
import Vue from 'vue'

export default Vue.extend({
  props: {
    project: {
      type: Object,
      default: () => null
    }
  },
  methods: {
    openDemo: (project: any) => {
      if (project != null) {
        if (project.demoUrl != null) {
          window.open(project.demoUrl, '_blank')
        } else if (project.repositoryUrl != null) {
          window.open(project.repositoryUrl, '_blank')
        }
      }
    }
  }
})
</script>
